WinNT.BATTERY_REPORTING_SCALE (JNA API)

com.sun.jna.platform.win32

## Class WinNT.BATTERY_REPORTING_SCALE

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinNT.BATTERY_REPORTING_SCALE

- Enclosing interface:
    WinNT

      @Structure.FieldOrder(value={"Granularity","Capacity"})
      public static class WinNT.BATTERY_REPORTING_SCALE
      extends Structure

  Contains the granularity of the battery capacity.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `Capacity`
    `int` | `Granularity`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BATTERY_REPORTING_SCALE()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### Granularity

          public int Granularity

    - #### Capacity

          public int Capacity

  - ### Constructor Detail

    - #### BATTERY_REPORTING_SCALE

          public BATTERY_REPORTING_SCALE()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.